
Redmine - Patch #14929

Project completion on gantt is wrong

2013-09-17 14:50 - Maria Fedorova

Status: Closed Start date: 2010-12-18

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Files Estimated time: 0.00 hour

Target version:    

Description

The project completion shown on the chart gantt (implemented in Project#completed_percent) is kind of broken:

it doesn't take issues without target version into account

it does a simple average of all versions completions, whereas it should do a weighted calculation based on issue

progress/estimate, just like it is done for versions completion.

This is not that hard to fix but that would make the gantt a bit more slow. So the question is: do we keep project completion display

on the gantt?

History

#1 - 2013-09-17 14:50 - Maria Fedorova

- Copied from Defect #7127: Project completion on gantt is wrong added

#2 - 2013-09-17 14:52 - Maria Fedorova

- Status changed from New to Resolved

#3 - 2013-09-18 09:06 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

Status "Resolved", no patch attached... probably someone testing... closing.

Please use demo.redmine.org or m.redmine.org for testing.

#4 - 2013-09-18 09:07 - Jan Niggemann (redmine.org team member)

- Copied from deleted (Defect #7127: Project completion on gantt is wrong)
